%define momorel 8

Summary: HTTP daemon for accessing Electronic Dictionaries
Name: ebhttpd
Version: 1.0.6
Release: %{momorel}m
License: GPL
Group: System Environment/Daemons
Source0: ftp://ftp.sra.co.jp/pub/net/www/ebhttpd/%{name}-%{version}.tar.gz
NoSource: 0
Source1: ebhttpd-init
Patch0: ebhttpd-1.0.6-eb4.patch
URL: http://www.sra.co.jp/people/m-kasahr/ebhttpd/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: zlib >= 1.1.4-5m
PreReq: chkconfig
PreReq: info
BuildPreReq: eb-devel >= 4.2

%description
EBHTTPD is a server for accessing CD-ROM books with HTTP on TCP.

%prep
rm -rf %{buildroot}

%setup -q
%patch0 -p1
perl -p -i -e "s/ndtpd/ebhttpd/" src/Makefile.* src/ebhtcontrol.c

%build
aclocal-1.7 -I m4
autoconf
automake-1.7
%configure
%make

%install
%makeinstall

install -d %{buildroot}%{_initscriptdir}
install -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}/ebhttpd

# remove
rm -f %{buildroot}/etc/ndtpd.conf.sample
rm -f %{buildroot}/usr/share/info/dir
%preun
if [ "$1" = 0 ]; then
    /sbin/chkconfig --del ebhttpd
    [ -f /var/lock/subsys/ebhttpd ] && %{_initscriptdir}/ebhttpd stop
    /sbin/install-info --delete %{_infodir}/ebhttpd.info %{_infodir}/dir
    /sbin/install-info --delete %{_infodir}/ebhttpd-ja.info %{_infodir}/dir
fi

%post
# /sbin/chkconfig --add ebhttpd
[ -f /var/lock/subsys/ebhttpd ] && %{_initscriptdir}/ebhttpd restart
if [ "$1" = 1 ]; then
    /sbin/install-info %{_infodir}/ebhttpd.info %{_infodir}/dir
    /sbin/install-info %{_infodir}/ebhttpd-ja.info %{_infodir}/dir
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README* UPGRADE* ndtpd.conf.sample
%dir %attr(0755,nobody,nobody) %{_localstatedir}/ebhttpd
%{_infodir}/ebhttpd.info*
%{_infodir}/ebhttpd-ja.info*
%{_sbindir}/ebhtcheck
%{_sbindir}/ebhtcontrol
%{_sbindir}/ebhttpd
%config %{_initscriptdir}/ebhttpd

%changelog
* Wed Jun  1 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.6-8m)
- rebuild against eb-4.2

* Thu Jan 20 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.6-7m)
- rebuild against eb-4.1.3

* Sat Dec  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.6-6m)
- rebuild against eb-4.1.2

* Sat Jun 19 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.6-5m)
- rebuild against eb-4.1

* Wed Mar 17 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.6-4m)
- revised spec for enabling rpm 4.2.

* Thu Jan 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.6-3m)
- revise for eb-4.0

* Mon Oct 20 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.6-2m)
- rebuild against eb-4.0

* Sun May 25 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.6-1m)

* Tue Apr 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-7m)
- rebuild against zlib 1.1.4-5m

* Sat Mar  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.5-6m)
- rebuild against eb-3.3.2

* Sun Mar  2 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.5-5m)
- rebuild against eb-3.3.1

* Sun Aug 25 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.5-4m)
- rebuild against eb-3.3

* Mon Jul 15 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.0.5-3m)
- change Require -> PreReq for chkconfig
- add PreReq: info
- Require: eb >= 3.2.2-2k
- BuildPreReq: eb-devel >= 3.2.2-2k

* Tue Apr 16 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.0.5-2k)

* Wed Feb 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.0.4-2k)
- build against eb-3.2
- temporary NoNoSource

* Sat Dec 15 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.0.3-2k)

* Fri Nov 30 2001 Toru Hoshina <t@kondara.org>
- (1.0.2-6k)
- comment out %chkconfig

* Mon Nov 12 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.0.2-4k)
- use %{_localstatedir}/ebhttpd (not ndtpd) by default

* Sat Sep  1 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.0.2-2k)
